- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contextProperties/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contextProperties/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contextProperties/get#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contextProperties/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contextProperties/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.contextProperties/get#body.aspect_1)

**Full name**: projects.locations.instances.contextProperties.get

Gets a single context property by its resource name. Use this method to retrieve the value of a specific key within a given context (e.g., a custom metadata tag for a case).

### HTTP request

`GET https://{endpoint}/v1beta/{name}`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the ContextProperty to retrieve. Format: projects/{project}/locations/{location}/instances/{instance} projects/{project}/locations/{location}/instances/{instance}/cases/{case} projects/{project}/locations/{location}/instances/{instance}/cases/{case}/caseAlerts/{alert} projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/connectors/{connector} projects/{project}/locations/{location}/instances/{instance}/integrations/{integration}/jobs/{job} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/chronicle/docs/reference/rest/v1beta/projects.locations.instances.cases.caseAlerts.contextProperties#ContextProperty`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `chronicle.contextProperties.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).